de.caff.i18n.swing

## Class RJTabbedPane

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JTabbedPane
        - - de.caff.i18n.swing.RJTabbedPane

- All Implemented Interfaces:
    Localizable, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants

      public class RJTabbedPane
      extends javax.swing.JTabbedPane
      implements Localizable

  Tabbed pane which might react to locale changes.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JTabbedPane

      `javax.swing.JTabbedPane.AccessibleJTabbedPane, javax.swing.JTabbedPane.ModelListener`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JTabbedPane

      `changeEvent, changeListener, model, SCROLL_TAB_LAYOUT, tabPlacement, WRAP_TAB_LAYOUT`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RJTabbedPane()` Creates an empty `TabbedPane` with a default tab placement of `JTabbedPane.TOP`.
    `RJTabbedPane(int tabPlacement)` Creates an empty `TabbedPane` with the specified tab placement of either: `JTabbedPane.TOP`, `JTabbedPane.BOTTOM`, `JTabbedPane.LEFT`, or `JTabbedPane.RIGHT`.
    `RJTabbedPane(int tabPlacement, int tabLayoutPolicy)` Creates an empty `TabbedPane` with the specified tab placement and tab layout policy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotify()` Notifies this component that it now has a parent component.
    `void` | `addResourcedTab(java.lang.String baseTag, java.awt.Component component)` Adds a `component` represented by a `title` and no icon.
    `void` | `remove(java.awt.Component component)` Removes the specified `Component` from the `JTabbedPane`.
    `void` | `remove(int index)` Removes the tab and component which corresponds to the specified index.
    `void` | `removeAll()` Removes all the tabs and their corresponding components from the `tabbedpane`.
    `void` | `removeNotify()` Notifies this component that it no longer has a parent component.
    `void` | `removeTabAt(int index)` Removes the tab at `index`.
    `void` | `setDisabledIconAt(int index, javax.swing.Icon disabledIcon)` Sets the disabled icon at `index` to `icon` which can be `null`.
    `void` | `setIconAt(int index, javax.swing.Icon icon)` Sets the icon at `index` to `icon` which can be `null`.
    `void` | `setLocale(java.util.Locale l)` Sets the locale of this component.
    `void` | `setTitleAt(int index, java.lang.String title)` Sets the title at `index` to `title` which can be `null`.
    `void` | `setToolTipTextAt(int index, java.lang.String toolTipText)` Sets the tooltip text at `index` to `toolTipText` which can be `null`.

    - ### Methods inherited from class javax.swing.JTabbedPane

      `add, add, add, add, add, addChangeListener, addTab, addTab, addTab, createChangeListener, fireStateChanged, getAccessibleContext, getBackgroundAt, getBoundsAt, getChangeListeners, getComponentAt, getDisabledIconAt, getDisplayedMnemonicIndexAt, getForegroundAt, getIconAt, getMnemonicAt, getModel, getSelectedComponent, getSelectedIndex, getTabComponentAt, getTabCount, getTabLayoutPolicy, getTabPlacement, getTabRunCount, getTitleAt, getToolTipText, getToolTipTextAt, getUI, getUIClassID, indexAtLocation, indexOfComponent, indexOfTab, indexOfTab, indexOfTabComponent, insertTab, isEnabledAt, paramString, removeChangeListener, setBackgroundAt, setComponentAt, setDisplayedMnemonicIndexAt, setEnabledAt, setForegroundAt, setMnemonicAt, setModel, setSelectedComponent, setSelectedIndex, setTabComponentAt, setTabLayoutPolicy, setTabPlacement, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.i18n.Localizable

      `getLocale`

- - ### Constructor Detail

    - #### RJTabbedPane

          public RJTabbedPane()

      Creates an empty `TabbedPane` with a default tab placement of `JTabbedPane.TOP`.
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`

    - #### RJTabbedPane

          public RJTabbedPane(int tabPlacement)

      Creates an empty `TabbedPane` with the specified tab placement of either: `JTabbedPane.TOP`, `JTabbedPane.BOTTOM`, `JTabbedPane.LEFT`, or `JTabbedPane.RIGHT`.
      Parameters:
        `tabPlacement` - the placement for the tabs relative to the content
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`

    - #### RJTabbedPane

          public RJTabbedPane(int tabPlacement,
                              int tabLayoutPolicy)

      Creates an empty `TabbedPane` with the specified tab placement and tab layout policy. Tab placement may be either: `JTabbedPane.TOP`, `JTabbedPane.BOTTOM`, `JTabbedPane.LEFT`, or `JTabbedPane.RIGHT`. Tab layout policy may be either: `JTabbedPane.WRAP_TAB_LAYOUT` or `JTabbedPane.SCROLL_TAB_LAYOUT`.
      Parameters:
        `tabPlacement` - the placement for the tabs relative to the content
        `tabLayoutPolicy` - the policy for laying out tabs when all tabs will not fit on one run
      Throws:
        `java.lang.IllegalArgumentException` - if tab placement or tab layout policy are not one of the above supported values
      Since:
        1.4
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`

  - ### Method Detail

    - #### addNotify

          public void addNotify()

      Notifies this component that it now has a parent component. When this method is invoked, the chain of parent components is set up with `KeyboardAction` event listeners.
      Overrides:
        `addNotify` in class `javax.swing.JComponent`
      See Also:
        `JComponent.registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int)`

    - #### removeNotify

          public void removeNotify()

      Notifies this component that it no longer has a parent component. When this method is invoked, any `KeyboardAction`s set up in the the chain of parent components are removed.
      Overrides:
        `removeNotify` in class `javax.swing.JComponent`
      See Also:
        `JComponent.registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int)`

    - #### addResourcedTab

          public void addResourcedTab(@NotNull
                                      java.lang.String baseTag,
                                      @NotNull
                                      java.awt.Component component)

      Adds a `component` represented by a `title` and no icon. Cover method for `insertTab`.
      Parameters:
        `baseTag` - the title to be displayed in this tab
        `component` - the component to be displayed when this tab is clicked
      See Also:
        `JTabbedPane.insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

    - #### removeAll

          public void removeAll()

      Removes all the tabs and their corresponding components from the `tabbedpane`.
      Overrides:
        `removeAll` in class `javax.swing.JTabbedPane`
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `removeTabAt(int)`

    - #### remove

          public void remove(int index)

      Removes the tab and component which corresponds to the specified index.
      Overrides:
        `remove` in class `javax.swing.JTabbedPane`
      Parameters:
        `index` - the index of the component to remove from the `tabbedpane`
      Throws:
        `java.lang.IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `removeTabAt(int)`

    - #### removeTabAt

          public void removeTabAt(int index)

      Removes the tab at `index`. After the component associated with `index` is removed, its visibility is reset to true to ensure it will be visible if added to other containers.
      Overrides:
        `removeTabAt` in class `javax.swing.JTabbedPane`
      Parameters:
        `index` - the index of the tab to be removed
      Throws:
        `java.lang.IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count)
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `JTabbedPane.insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`

    - #### remove

          public void remove(java.awt.Component component)

      Removes the specified `Component` from the `JTabbedPane`.
      Overrides:
        `remove` in class `javax.swing.JTabbedPane`
      Parameters:
        `component` - the component to remove from the tabbedpane
      Throws:
        `java.lang.NullPointerException` - if `component` is null.
      See Also:
        `JTabbedPane.addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `removeTabAt(int)`

    - #### setTitleAt

          public void setTitleAt(int index,
                                 java.lang.String title)

      Sets the title at `index` to `title` which can be `null`. An internal exception is raised if there is no tab at that index.
      Overrides:
        `setTitleAt` in class `javax.swing.JTabbedPane`
      Parameters:
        `index` - the tab index where the title should be set
        `title` - the title to be displayed in the tab
      Throws:
        `java.lang.IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count) attribute: visualUpdate true description: The title at the specified tab index.
      See Also:
        `JTabbedPane.getTitleAt(int)`

    - #### setToolTipTextAt

          public void setToolTipTextAt(int index,
                                       java.lang.String toolTipText)

      Sets the tooltip text at `index` to `toolTipText` which can be `null`. An internal exception is raised if there is no tab at that index.
      Overrides:
        `setToolTipTextAt` in class `javax.swing.JTabbedPane`
      Parameters:
        `index` - the tab index where the tooltip text should be set
        `toolTipText` - the tooltip text to be displayed for the tab
      Throws:
        `java.lang.IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count) description: The tooltip text at the specified tab index.
      See Also:
        `JTabbedPane.getToolTipTextAt(int)`

    - #### setDisabledIconAt

          public void setDisabledIconAt(int index,
                                        javax.swing.Icon disabledIcon)

      Sets the disabled icon at `index` to `icon` which can be `null`. An internal exception is raised if there is no tab at that index.
      Overrides:
        `setDisabledIconAt` in class `javax.swing.JTabbedPane`
      Parameters:
        `index` - the tab index where the disabled icon should be set
        `disabledIcon` - the icon to be displayed in the tab when disabled
      Throws:
        `java.lang.IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count) attribute: visualUpdate true description: The disabled icon at the specified tab index.
      See Also:
        `JTabbedPane.getDisabledIconAt(int)`

    - #### setIconAt

          public void setIconAt(int index,
                                javax.swing.Icon icon)

      Sets the icon at `index` to `icon` which can be `null`. Does not set disabled icon at `icon` To set disabled icon, use `setDisableIconAt()`. An internal exception is raised if there is no tab at that index.
      Overrides:
        `setIconAt` in class `javax.swing.JTabbedPane`
      Parameters:
        `index` - the tab index where the icon should be set
        `icon` - the icon to be displayed in the tab
      Throws:
        `java.lang.IndexOutOfBoundsException` - if index is out of range (index < 0 || index >= tab count) attribute: visualUpdate true description: The icon at the specified tab index.
      See Also:
        `setDisabledIconAt(int, javax.swing.Icon)`, `JTabbedPane.getIconAt(int)`

    - #### setLocale

          public void setLocale(java.util.Locale l)

      Sets the locale of this component. This is a bound property.
      Specified by:
        `setLocale` in interface `Localizable`
      Overrides:
        `setLocale` in class `java.awt.Component`
      Parameters:
        `l` - the locale to become this component's locale
      Since:
        JDK1.1
      See Also:
        `Component.getLocale()`